## fnonlinear 260.72

=== DESCRIPTION ===
Package: fNonlinear
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Nonlinear and Chaotic Time Series Modelling
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), fBasics
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org 
Packaged: Mon Oct  8 14:07:58 2007; myself

=== inst/unitTests/Makefile ===
PKG=fNonlinear
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
    cd ${TOP}/..;\
    ${R} CMD INSTALL ${PKG}

test: # Run unit tests
    export RCMDCHECK=FALSE;\
    cd ${TOP}/tests;\
    ${R} --vanilla --slave < ${SUITE}

## fnonlinear 2100.76

=== DESCRIPTION ===
Package: fNonlinear
Version: 2100.76
Revision: 4277
Date: 2009-09-28
Title: Nonlinear and Chaotic Time Series Modelling
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics, fGarch
Suggests: RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 15:21:24 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-29 18:44:21

## fnonlinear 3010.78

=== DESCRIPTION ===
Package: fNonlinear
Version: 3010.78
Revision: 5523
Date: 2013-06-23
Title: Nonlinear and Chaotic Time Series Modelling
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics, fGarch
Suggests: RUnit, tcltk
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-06-23 18:22:10 UTC; yohan
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-06-24 01:50:51

## fnonlinear 3042.79

=== DESCRIPTION ===
Package: fNonlinear
Title: Rmetrics - Nonlinear and Chaotic Time Series Modelling
Date: 2017-11-12
Version: 3042.79
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a collection of functions for testing various aspects of
	univariate time series including independence and neglected
	nonlinearities. Further provides functions to investigate the chaotic
	behavior of time series processes and to simulate different types of chaotic
	time series maps.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: methods, stats
Suggests: RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: yes
Packaged: 2017-11-16 17:28:36 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-16 22:02:44 UTC

=== inst/unitTests/Makefile ===
PKG=fNonlinear
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fnonlinear 4021.80

=== debian/changelog ===
fnonlinear (4021.80-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Jul 2022 05:34:43 -0500

fnonlinear (3042.79-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 22:20:18 -0600

fnonlinear (3010.78-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Jun 2017 20:10:11 -0500

fnonlinear (3010.78-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jun 2016 07:17:39 -0500

fnonlinear (3010.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jun 2013 19:44:24 -0500

fnonlinear (2160.77-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:26:35 -0500

fnonlinear (2160.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Dec 2012 15:29:43 -0600

fnonlinear (2100.76-4) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:58:12 -0500

fnonlinear (2100.76-3) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 18:34:09 -0600

fnonlinear (2100.76-2) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends on r-cran-base and r-cran-fgarch
							(Closes: #549562)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Oct 2009 06:24:14 -0500

fnonlinear (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:13:18 -0500

fnonlinear (290.75-2) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends on r-cran-base and r-cran-fgarch
							(Closes: #526017)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Apr 2009 20:43:52 -0500

fnonlinear (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:07:03 -0500

fnonlinear (270.74-3) unstable; urgency=low

  * debian/control: Also tighten (Build-)Depends: on current r-cran-fgarch
  							(Closes: #504215)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Nov 2008 08:56:43 -0600

fnonlinear (270.74-2) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends: on current r-cran-fbasics package
  							(Closes: #504215)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Nov 2008 13:53:01 -0500

fnonlinear (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:06:06 -0500

fnonlinear (260.72-3) unstable; urgency=low

  * debian/control: Tighten Build-Depends: on r-cran-robustbase that is implied 
    via Build-Depends: on r-cran-fbasics to ensure use of a version built after
    the gfortran transition					(Closes: #476820)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Apr 2008 10:08:16 -0500

fnonlinear (260.72-2) unstable; urgency=low

  * Rebuilding under the current R version
  * debian/control: Updated (Build-)Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2008 21:30:17 -0500

fnonlinear (260.72-1+b1) unstable; urgency=low

  * Rebuilding to aid the gfortran transition, no source or packaging change

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Mar 2008 20:47:26 -0500

fnonlinear (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Nov 2007 21:34:22 -0600

=== debian/control ===
Source: fnonlinear
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fnonlinear
Vcs-Git: https://salsa.debian.org/edd/r-cran-fnonlinear.git
Homepage: https://cran.r-project.org/package=fNonLinear


Package: r-cran-fnonlinear
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79)
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fNonlinear
 This package provides functions for modelling of nonlinear time
 series and is part of Rmetrics, a collection of packages for
 financial engineering and computational finance written and compiled
 by Diethelm Wuertz and others.
 .
 fNonlinear provides nonlinear time series modelling functions.

## fnonlinear 4021.81

=== DESCRIPTION ===
Package: fNonlinear
Title: Rmetrics - Nonlinear and Chaotic Time Series Modelling
Date: 2022-10-18
Version: 4021.81
Author: Diethelm Wuertz [aut],
	Tobias Setz [aut],
	Yohan Chalabi [aut],
	Paul Smith [cre]
Maintainer: Paul Smith <paul@waternumbers.co.uk>
Description: Provides a collection of functions for testing various aspects of
	univariate time series including independence and neglected
	nonlinearities. Further provides functions to investigate the chaotic
	behavior of time series processes and to simulate different types of chaotic
	time series maps.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: methods, stats
Suggests: RUnit, tcltk
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: yes
Packaged: 2022-10-26 18:18:17 UTC; paul
Repository: CRAN
Date/Publication: 2022-10-26 22:15:09 UTC

=== debian/changelog ===
fnonlinear (4021.81-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Oct 2022 19:02:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fnonlinear
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fnonlinear.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fnonlinear package
# Copyright 2003-2022 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fNonlinear_([-\d\.]*)\.tar.gz

## fnonlinear 4041.82

=== DESCRIPTION ===
Package: fNonlinear
Title: Rmetrics - Nonlinear and Chaotic Time Series Modelling
Date: 2024-09-08
Version: 4041.82
Authors@R: c(person(given = "Diethelm",
		    family = "Wuertz",
                    role = "aut"),
             person(given = "Tobias",
                    family = "Setz",
                    role = "aut"),
             person(given = "Yohan",
                    family = "Chalabi",
                    role = "aut"),
             person(given = "Paul",
                    family = "Smith",
                    role = "cre",
                    email = "paul@waternumbers.co.uk"))
Maintainer: Paul Smith <paul@waternumbers.co.uk>
Description: Provides a collection of functions for testing various aspects of
	univariate time series including independence and neglected
	nonlinearities. Further provides functions to investigate the chaotic
	behavior of time series processes and to simulate different types of chaotic
	time series maps.
Depends: R (>= 3.4.0), timeDate, timeSeries, fBasics
Imports: methods, stats
Suggests: RUnit, tcltk
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: yes
Packaged: 2024-09-08 16:40:29 UTC; paul
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Paul Smith [cre]
Repository: CRAN
Date/Publication: 2024-09-08 20:30:02 UTC

=== debian/changelog ===
fnonlinear (4041.82-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Sep 2024 16:12:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fnonlinear
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fnonlinear.git
 Homepage: https://cran.r-project.org/package=fNonLinear

## fnonlinear 4052.83

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fNonlinear
 Title: Rmetrics - Nonlinear and Chaotic Time Series Modelling
-Date: 2024-09-08
-Version: 4041.82
+Date: 2026-02-21
+Version: 4052.83
 Authors@R: c(person(given = "Diethelm",
 		    family = "Wuertz",
                     role = "aut"),
@@ -27,10 +27,10 @@
 License: GPL (>= 2)
 URL: https://www.rmetrics.org
 NeedsCompilation: yes
-Packaged: 2024-09-08 16:40:29 UTC; paul
+Packaged: 2026-02-21 23:06:42 UTC; paul
 Author: Diethelm Wuertz [aut],
   Tobias Setz [aut],
   Yohan Chalabi [aut],
   Paul Smith [cre]
 Repository: CRAN
-Date/Publication: 2024-09-08 20:30:02 UTC
+Date/Publication: 2026-02-22 06:10:08 UTC

=== debian/changelog ===
fnonlinear (4052.83-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Feb 2026 08:23:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-fbasics (>= 2100.78), r-cran-fgarch (>= 2100.79), xvfb, xauth, xfonts-base
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fnonlinear
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fnonlinear.git
 Homepage: https://cran.r-project.org/package=fNonLinear

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/fNonlinear_([-\d\.]*)\.tar.gz
